Package org.eclipse.rdf4j.repository.sparql.query

## Class SPARQLOperation

- java.lang.Object
- - org.eclipse.rdf4j.repository.sparql.query.SPARQLOperation

- All Implemented Interfaces:
    `Operation`

      @Deprecated
      public abstract class SPARQLOperation
      extends Object
      implements Operation

  Deprecated.
  Author:
    jeen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MapBindingSet` | `bindings` | Deprecated.
    `protected org.apache.http.client.HttpClient` | `client` | Deprecated.
    `protected Dataset` | `dataset` | Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SPARQLOperation​(org.apache.http.client.HttpClient client, String url, String base, String operation)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearBindings()` | Deprecated. Removes all previously set bindings.
    `protected void` | `execute​(Runnable command)` | Deprecated.
    `protected Set<String>` | `getBindingNames()` | Deprecated.
    `BindingSet` | `getBindings()` | Deprecated. Retrieves the bindings that have been set on this operation.
    `Dataset` | `getDataset()` | Deprecated. Gets the dataset that has been set using `Operation.setDataset(Dataset)`, if any.
    `boolean` | `getIncludeInferred()` | Deprecated. Returns whether or not this operation will return inferred statements (if any are present in the repository).
    `protected String` | `getQueryString()` | Deprecated.
    `String` | `getUrl()` | Deprecated.
    `void` | `removeBinding​(String name)` | Deprecated. Removes a previously set binding on the supplied variable.
    `void` | `setBinding​(String name, Value value)` | Deprecated. Binds the specified variable to the supplied value.
    `void` | `setDataset​(Dataset dataset)` | Deprecated. Specifies the dataset against which to execute an operation, overriding any dataset that is specified in the operation itself.
    `void` | `setIncludeInferred​(boolean inf)` | Deprecated. Determine whether evaluation results of this operation should include inferred statements (if any inferred statements are present in the repository).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `getMaxExecutionTime, setMaxExecutionTime`

- - ### Field Detail

    - #### client

          protected org.apache.http.client.HttpClient client

      Deprecated.

    - #### dataset

          protected Dataset dataset

      Deprecated.

    - #### bindings

          protected MapBindingSet bindings

      Deprecated.

  - ### Constructor Detail

    - #### SPARQLOperation

          protected SPARQLOperation​(org.apache.http.client.HttpClient client,
                                    String url,
                                    String base,
                                    String operation)

      Deprecated.

  - ### Method Detail

    - #### getUrl

          public String getUrl()

      Deprecated.

    - #### getBindings

          public BindingSet getBindings()

      Deprecated.
      Description copied from interface: `Operation`
      Retrieves the bindings that have been set on this operation.
      Specified by:
        `getBindings` in interface `Operation`
      Returns:
        A (possibly empty) set of operation variable bindings.
      See Also:
        `Operation.setBinding(String, Value)`

    - #### getDataset

          public Dataset getDataset()

      Deprecated.
      Description copied from interface: `Operation`
      Gets the dataset that has been set using `Operation.setDataset(Dataset)`, if any.
      Specified by:
        `getDataset` in interface `Operation`

    - #### getIncludeInferred

          public boolean getIncludeInferred()

      Deprecated.
      Description copied from interface: `Operation`
      Returns whether or not this operation will return inferred statements (if any are present in the repository).
      Specified by:
        `getIncludeInferred` in interface `Operation`
      Returns:
        true if inferred statements will be returned, false otherwise.

    - #### removeBinding

          public void removeBinding​(String name)

      Deprecated.
      Description copied from interface: `Operation`
      Removes a previously set binding on the supplied variable. Calling this method with an unbound variable name has no effect.
      Specified by:
        `removeBinding` in interface `Operation`
      Parameters:
        `name` - The name of the variable from which the binding is to be removed.

    - #### setBinding

          public void setBinding​(String name,
                                 Value value)

      Deprecated.
      Description copied from interface: `Operation`
      Binds the specified variable to the supplied value. Any value that was previously bound to the specified value will be overwritten.
      Specified by:
        `setBinding` in interface `Operation`
      Parameters:
        `name` - The name of the variable that should be bound.
        `value` - The (new) value for the specified variable.

    - #### clearBindings

          public void clearBindings()

      Deprecated.
      Description copied from interface: `Operation`
      Removes all previously set bindings.
      Specified by:
        `clearBindings` in interface `Operation`

    - #### setDataset

          public void setDataset​(Dataset dataset)

      Deprecated.
      Description copied from interface: `Operation`
      Specifies the dataset against which to execute an operation, overriding any dataset that is specified in the operation itself.
      Specified by:
        `setDataset` in interface `Operation`

    - #### setIncludeInferred

          public void setIncludeInferred​(boolean inf)

      Deprecated.
      Description copied from interface: `Operation`
      Determine whether evaluation results of this operation should include inferred statements (if any inferred statements are present in the repository). The default setting is 'true'.
      Specified by:
        `setIncludeInferred` in interface `Operation`
      Parameters:
        `inf` - indicates whether inferred statements should be included in the result.

    - #### execute

          protected void execute​(Runnable command)

      Deprecated.

    - #### getBindingNames

          protected Set<String> getBindingNames()

      Deprecated.

    - #### getQueryString

          protected String getQueryString()

      Deprecated.